## systemd 215

=== debian/changelog ===
systemd (215-6tanglu1) staging; urgency=medium

  * Merge with Debian unstable
  * Add /run/shm -> /dev/shm symlink in debian/tmpfiles.d/debian.conf
    (Closes: #674755).
  * Enable persistent journald logging by default.
  * Make systemd-sysv a required package.
  * Make libpam-systemd prefer systemd-sysv over systemd-shim
    - The shim is completely unsupported in Tanglu at time, and
      we don't want it to be installed accidentally.

 -- Matthias Klumpp <mak@debian.org>  Sun, 23 Nov 2014 17:04:26 +0100

systemd (215-6) unstable; urgency=medium

  [ Martin Pitt ]
  * Cherry-pick upstream patch to fix udev crash in link_config_get().
  * Cherry-pick upstream patch to fix tests in limited schroot environments.
  * Add d/p/Add-env-variable-for-machine-ID-path.patch: Allow specifying an
    alternate /etc/machine-id location. This is necessary for running tests
    as long as it isn't in our base images (see Debian #745876)
  * Run tests during package build. For the first round don't make them fatal
    for now (that will happen once we see results from all the architectures).
  * Drop our Check-for-kmod-binary.patch as the upstream patch
    units-conditionalize-static-device-node-logic-on-CAP.patch supersedes it.
  * Drop Use-comment-systemd.-syntax-in-systemd.mount-man-pag.patch, as
    our util-linux is now recent enough. Bump dependency to >= 2.21.
  * Adjust timedated and hostnamed autopkgtests to current upstream version.
  * Replace our Debian hwdb.bin location patch with what got committed
    upstream. Run hwdb update with the new --usr option to keep current
    behaviour.
  * debian/README.Debian: Document how to debug boot or shutdown problems with
    the debug shell. (Closes: #766039)
  * Skip-99-systemd.rules-when-not-running-systemd-as-in.patch: Call path_id
    under all init systems, to get consistent ID_PATH attributes. This is
    required so that tools like systemd-rfkill can be used with SysVinit or
    upstart scripts, too. (LP: #1387282)
  * Switch libpam-systemd dependencies to prefer systemd-shim over
    systemd-sysv, to implement the CTTE decision #746578. This is a no-op on
    systems which already have systemd-sysv installed, but will prevent
    installing that on upgrades. (Closes: #769747)
  * Remove Tollef from Uploaders: as per his request. Thanks Tollef for all
    you work!
  * net.agent: Properly close stdout/err FDs, to avoid long hangs during udev
    settle. Thanks to Ben Hutchings! (Closes: #754987)
  * Bump Standards-Version to 3.9.6 (no changes necessary).

  [ Didier Roche ]
  * debian/ifup@.service: add a ConditionPath on /run/network, to avoid
    failing the unit if /etc/init.d/networking is disabled. (Closes: #769528)

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Nov 2014 12:37:22 +0100

systemd (215-5) unstable; urgency=medium

  [ Martin Pitt ]
  * Unblacklist hyperv_fb again, it is needed for graphical support on Hyper-V
    platforms. Thanks Andy Whitcroft! (LP: #1359933)
  * Bump systemd-shim Depends/Breaks to 8-2 to ensure a lockstep upgrade.
    (Closes: #761947)

  [ Sjoerd Simons ]
  * d/p/sd-bus-Accept-no-sender-as-the-destination-field.patch
    + Fix compatibility between systemctl v215 and v208. Resolves issue when
      reloads of services is requested before systemd is re-execed
      (Closes: #762146)

  [ Michael Biebl ]
  * Don't overmount existing /run/user/<UID> directories with a per-user tmpfs
    on upgrades. (Closes: #762041)
  * Re-enable mount propagation for udevd. This avoids that broken software
    like laptop-mode-tools, which runs mount from within udev rules, causes
    the root file system to end up read-only. (Closes: #762018)

 -- Michael Biebl <biebl@debian.org>  Sat, 27 Sep 2014 17:49:47 +0200

systemd (215-4tanglu1) staging; urgency=medium

  * Merge with Debian unstable
  * Add /run/shm -> /dev/shm symlink in debian/tmpfiles.d/debian.conf
    (Closes: #674755).
  * Enable persistent journald logging by default.
  * Make systemd-sysv a required package.

 -- Matthias Klumpp <mak@debian.org>  Sat, 20 Sep 2014 15:58:46 +0200

systemd (215-4) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Sep 2014 17:38:30 +0200

systemd (215-3) experimental; urgency=medium

  [ Ben Howard ]
  * 75-persistent-net-generator.rules: Fix matches of HyperV. (LP: #1361272)

  [ Martin Pitt ]
  * 75-persistent-net-generator.rules: Add new MS Azure MAC prefix 00:25:ae.
    (LP: #1367883)

  [ Michael Biebl ]
  * Update upstream v215-stable patch series.
  * The /dev/log socket and /dev/initctl FIFO have been moved to /run and
    replaced by symlinks. Create the symlinks manually on upgrades as well.
    (Closes: #761340)
  * Fix incorrect paths in man pages. (LP: #1357782, Closes: #717491)
  * Make systemd recommend dbus so it is installed on upgrades. The dbus
    system bus is required to run systemd-logind and the autovt feature relies
    on logind. (Closes: #758111)
  * Bump dependency on systemd-shim to (>= 7-2) to ensure we have a version
    which supports systemd >= 209.
  * Rework bug-script to be more upfront about what kind of data is gathered
    and ask the user for permission before attaching the information to the
    bug report. (Closes: #756248)

  [ Sjoerd Simons ]
  * d/p/buildsys-Don-t-default-to-gold-as-the-linker.patch
    + Don't explicitly pick gold as the default linker. Fixes FTBFS on sparc
      (Closes: #760879)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 14 Sep 2014 20:14:49 +0200

systemd (215-2) experimental; urgency=medium

  * debian/patches/always-check-for-__BYTE_ORDER-__BIG_ENDIAN-when-chec.patch
    + Added. Fix checking of system endianess. Fixes FTBFS on powerpc
  * debian/patches/timesyncd-when-we-don-t-know-anything-about-the-netw.patch:
    + Let timesyncd go online even if networkd isn't running (from upstream
      git) (Closes: #760087)
  * debian/rules: add systemd-update-utmp-runlevel.service to


=== debian/control ===
Source: systemd
Section: admin
Priority: optional
Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>, Marco d'Itri <md@linux.it>, Michael Stapelberg <stapelberg@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-systemd/systemd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-systemd/systemd.git;a=summary
X-Python-Version: >= 2.7
XS-Testsuite: autopkgtest
Homepage: http://www.freedesktop.org/wiki/Software/systemd
Build-Depends: debhelper (>= 9),
               pkg-config,
               xsltproc,
               docbook-xsl,
               docbook-xml,
               gtk-doc-tools,
               m4,
               dh-autoreconf,
               automake (>= 1.11),
               autoconf (>= 2.63),
               intltool,
               gperf,
               libcap-dev,
               libpam0g-dev,
               libaudit-dev,
               libdbus-1-dev (>= 1.3.2),
               libglib2.0-dev (>= 2.22.0),
               libcryptsetup-dev (>= 2:1.6.0),
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               liblzma-dev,
               libgcrypt11-dev,
               libkmod-dev (>= 15),
               libblkid-dev (>= 2.20),
               libgirepository1.0-dev (>= 1.31.1),
               gobject-introspection (>= 1.31.1),
               python3-all-dev,
               python3-lxml,
               libglib2.0-doc

Package: systemd
Architecture: linux-any
Section: admin
Priority: optional
Recommends: libpam-systemd,
            dbus
Suggests: systemd-ui
Pre-Depends: ${shlibs:Pre-Depends},
             ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version}),
         util-linux (>= 2.19.1-2),
         mount (>= 2.21),
         initscripts (>= 2.88dsf-53.2),
         sysv-rc,
         udev,
         acl,
         adduser,
         libcap2-bin
Breaks: lvm2 (<< 2.02.104-1),
        lsb-base (<< 4.1+Debian4),
        systemd-shim (<< 8-2)
Conflicts: klogd
Description: system and service manager
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.
 .
 Installing the systemd package will not switch your init system unless you
 boot with init=/bin/systemd or install systemd-sysv in addition.

Package: systemd-sysv
Architecture: linux-any
Section: admin
Priority: required
Conflicts: sysvinit-core,
           upstart
Replaces: sysvinit (<< 2.88dsf-44~),
          sysvinit-core,
          upstart
Pre-Depends: systemd
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version})
Description: system and service manager - SysV links
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.
 .
 This package provides the manual pages and links needed for systemd
 to replace sysvinit. Installing systemd-sysv will overwrite /sbin/init with a
 link to systemd.

Package: libpam-systemd
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         libpam-runtime (>= 1.0.1-6),
         dbus,
         systemd-sysv | systemd-shim (>= 8-2)
Description: system and service manager - PAM module
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.
 .
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy.
 .
 If in doubt, do install this package.
 .
 Packages that depend on logind functionality need to depend on libpam-systemd.

Package: libsystemd0
Architecture: linux-any
Multi-Arch: same
Section: libs
Priority: optional
Pre-Depends: ${shlibs:Depends},
             ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: systemd utility library
 The libsystemd0 library provides interfaces to various systemd components.

Package: libsystemd-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version})
Breaks: systemd (<< 204-8),
        libsystemd-login-dev (<< 209),
        libsystemd-daemon-dev (<< 209),
        libsystemd-journal-dev (<< 209),
        libsystemd-id128-dev (<< 209),
Replaces: systemd (<< 204-8),
          libsystemd-login-dev (<< 209),
          libsystemd-daemon-dev (<< 209),
          libsystemd-journal-dev (<< 209),
          libsystemd-id128-dev (<< 209),
Description: systemd utility library - development files
 The libsystemd0 library provides interfaces to various systemd components.
 .
 This package contains the development files.

Package: libsystemd-login0
Architecture: linux-any
Multi-Arch: same
Section: oldlibs
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: systemd login utility library (deprecated)
 The libsystemd-login library provides an interface for the
 systemd-logind service which is used to track user sessions and seats.
 .
 Transitional compatibility library, functionality has been integrated into
 libsystemd0.

Package: libsystemd-login-dev
Architecture: linux-any
Multi-Arch: same
Section: oldlibs
Priority: extra
Depends: ${misc:Depends},
         libsystemd-dev (>= ${binary:Version})
Description: systemd login utility library (transitional package)
 The libsystemd-login library provides an interface for the
 systemd-logind service which is used to track user sessions and seats.
 .
 This is a compatibility package which provides a .pc file for the old library
 name. That way, packages can be rebuilt against the new libsystemd library
 without requiring changes to existing configure scripts.

Package: libsystemd-daemon0
Architecture: linux-any
Multi-Arch: same
Section: oldlibs
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: systemd utility library (deprecated)
 The sd-daemon library provides a reference implementation of various
 APIs for new-style daemons, as implemented by the systemd init system.
 .
 Transitional compatibility library, functionality has been integrated into
 libsystemd0.

Package: libsystemd-daemon-dev
Architecture: linux-any
Multi-Arch: same
Section: oldlibs
Priority: extra
Depends: ${misc:Depends},
         libsystemd-dev (>= ${binary:Version})
Description: systemd utility library (transitional package)
 The sd-daemon library provides a reference implementation of various
 APIs for new-style daemons, as implemented by the systemd init system.
 .
 This is a compatibility package which provides a .pc file for the old library
 name. That way, packages can be rebuilt against the new libsystemd library
 without requiring changes to existing configure scripts.

Package: libsystemd-journal0
Architecture: linux-any
Multi-Arch: same
Section: oldlibs
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: systemd journal utility library (deprecated)
 The libsystemd-journal library provides an interface for the
 systemd journal service.
 .
 Transitional compatibility library, functionality has been integrated into
 libsystemd0.

Package: libsystemd-journal-dev
Architecture: linux-any
Multi-Arch: same
Section: oldlibs
Priority: extra
Depends: ${misc:Depends},
         libsystemd-dev (>= ${binary:Version})
Description: systemd journal utility library (transitional package)
 The libsystemd-journal library provides an interface for the
 systemd journal service.
 .
 This is a compatibility package which provides a .pc file for the old library
 name. That way, packages can be rebuilt against the new libsystemd library
 without requiring changes to existing configure scripts.

Package: libsystemd-id128-0
Architecture: linux-any
Multi-Arch: same
Section: oldlibs
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: systemd 128 bit ID utility library (deprecated)
 The libsystemd-id128 library provides utility functions for generating
 128 bit IDs.
 .
 Transitional compatibility library, functionality has been integrated into
 libsystemd0.

Package: libsystemd-id128-dev
Architecture: linux-any
Multi-Arch: same
Section: oldlibs
Priority: extra
Depends: ${misc:Depends},
         libsystemd-dev (>= ${binary:Version})
Description: systemd 128 bit ID utility library (transitional package)
 The libsystemd-id128 library provides utility functions for generating
 128 bit IDs.
 .
 This is a compatibility package which provides a .pc file for the old library
 name. That way, packages can be rebuilt against the new libsystemd library
 without requiring changes to existing configure scripts.

Package: udev
Section: admin
Priority: important
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: debconf (>= 1.4.69) | debconf-2.0
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         libudev1 (= ${binary:Version}),
         lsb-base (>= 3.0-6),
         util-linux (>= 2.16),
         s390-tools (>> 1.6.2) [s390],
         procps
Breaks: consolekit (<< 0.4.6-1),
        kmod (<< 14),
        systemd (<< 215-1),
        plymouth (<< 0.9.0-7)
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.

Package: libudev1
Section: libs
Priority: important
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: libudev shared library
 This library provides access to udev device information.

Package: libudev-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libudev1 (= ${binary:Version})
Description: libudev development files
 This package contains the files needed for developing applications that
 use libudev.

Package: udev-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         util-linux-udeb
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.
 .
 This is a minimal version, only for use in the installation system.

Package: libudev1-udeb
Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: libudev shared library
 This library provides access to udev device information.
 .
 This is a minimal version, only for use in the installation system.

Package: libgudev-1.0-0
Section: libs
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject-based wrapper library for libudev

=== debian/tests/control ===
Tests: timedated hostnamed localed-locale localed-x11-keymap logind
Depends: systemd, libpam-systemd, acl
Restrictions: needs-root isolation-machine

Tests: build-login
Depends: libsystemd-login-dev, build-essential, pkg-config

Tests: python3
Depends: python3-systemd

## systemd 215%2B12%2Bbetsy

=== src/default-display-manager-generator/Makefile ===
#  This file is part of systemd.
#
#  Copyright 2014 Canonical
#
#  systemd is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation; either version 2.1 of the License, or
#  (at your option) any later version.
#
#  systemd is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with systemd; If not, see <http://www.gnu.org/licenses/>.

all:
	$(MAKE) -C ..

clean:
	$(MAKE) -C .. clean

.PHONY: all clean

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>, Marco d'Itri <md@linux.it>, Michael Stapelberg <stapelberg@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>, Marco d'Itri <md@linux.it>, Michael Stapelberg <stapelberg@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-systemd/systemd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-systemd/systemd.git;a=summary
@@ -55,7 +55,7 @@
          mount (>= 2.21),
          initscripts (>= 2.88dsf-53.2),
          sysv-rc,
-         udev,
+         udev (>= 208-8),
          acl,
          adduser,
          libcap2-bin
@@ -78,7 +78,7 @@
 Package: systemd-sysv
 Architecture: linux-any
 Section: admin
-Priority: required
+Priority: extra
 Conflicts: sysvinit-core,
            upstart
 Replaces: sysvinit (<< 2.88dsf-44~),
@@ -112,7 +112,7 @@
          systemd (= ${binary:Version}),
          libpam-runtime (>= 1.0.1-6),
          dbus,
-         systemd-sysv | systemd-shim (>= 8-2)
+         systemd-shim (>= 8-2) | systemd-sysv
 Description: system and service manager - PAM module
  systemd is a replacement for sysvinit.  It is dependency-based and
  able to read the LSB init script headers in addition to parsing rcN.d

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS="nostrip"

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(findstring stage1,$(DEB_BUILD_PROFILES)))
BOOTSTRAP_DH_FLAGS := -Ngir1.2-gudev-1.0 -Nlibgudev-1.0-0 -Nlibgudev-1.0-dev
endif

CONFFLAGS = \
	--with-rootprefix= \
	--with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
	--with-zshcompletiondir=/usr/share/zsh/vendor-completions \
	--with-sysvinit-path=/etc/init.d \
	--with-sysvrcnd-path=/etc \
	--with-firmware-path=/lib/firmware \
	--with-debug-shell=/bin/bash \
	--with-telinit=/lib/sysvinit/telinit \
	--disable-coredump \
	--disable-efi \
	--disable-myhostname \
	--disable-vconsole \
	--disable-microhttpd \
	--disable-sysusers \
	--disable-silent-rules \
	--with-ntp-servers="0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org"  \
	--with-system-uid-max=999 \
	--with-system-gid-max=999

ifeq (,$(findstring stage1,$(DEB_BUILD_PROFILES)))
CONFFLAGS += --enable-libcryptsetup
endif

CONFFLAGS_deb = \
	--enable-selinux \
	--enable-introspection \
	--enable-gtk-doc \
	--enable-compat-libs \
	PYTHON=python3 \
	$(NULL)

CONFFLAGS_udeb = \
	--disable-libcryptsetup \
	--disable-pam \
	--disable-audit \
	--disable-selinux \
	--disable-smack \
	--disable-ima \
	--disable-introspection \
	--disable-gtk-doc \
	--disable-binfmt \
	--disable-readahead \
	--disable-bootchart \
	--disable-quotacheck \
	--disable-tmpfiles \
	--disable-randomseed \
	--disable-backlight \
	--disable-logind \
	--disable-machined \
	--disable-hostnamed \
	--disable-timedated \
	--disable-networkd \
	--disable-timesyncd \
	--disable-localed \
	--disable-resolved \
	--disable-polkit \
	--disable-acl \
	--disable-gcrypt \
	--disable-gudev \
	--disable-rfkill \
	--disable-multi-seat-x \
	--disable-manpages \
	--without-python

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-deb \
		-- $(CONFFLAGS) $(CONFFLAGS_deb)
	dh_auto_configure --builddirectory=build-udeb \
		-- $(CONFFLAGS) $(CONFFLAGS_udeb)

override_dh_auto_build:
	dh_auto_build --builddirectory=build-deb
	dh_auto_build --builddirectory=build-udeb

override_dh_auto_install:
	dh_auto_install --builddirectory=build-deb \
		--destdir=debian/install/deb
	dh_auto_install --builddirectory=build-udeb \
		--destdir=debian/install/udeb

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-deb
	dh_auto_clean --builddirectory=build-udeb
	rm -rf debian/install/
	# remove pre-generated man pages so they are rebuilt
	rm -f man/*.[13578]
	# remove pre-generated rules and unit files so they are rebuilt
	rm -f rules/99-systemd.rules \
		units/emergency.service \
		units/systemd-udevd.service \
		units/systemd-udev-settle.service \
		units/systemd-udev-trigger.service
	# remove Python byte code files
	rm -f *.pyc

override_dh_install:
	# remove unnecessary / unused files
	rm -f debian/install/*/usr/share/doc/systemd/LICENSE.*
	rm -f debian/install/*/var/log/README
	rm -f debian/install/*/etc/init.d/README
	rm -f debian/install/*/usr/share/man/man8/kernel-install.8
	rm -f debian/install/*/usr/bin/kernel-install
	rm -f debian/install/*/usr/share/zsh/vendor-completions/_kernel-install
	rm -f debian/install/*/usr/share/bash-completion/completions/kernel-install
	rm -rf debian/install/*/usr/lib/kernel/install.d
	rm -rf debian/install/*/etc/rpm/
	rm -rf debian/install/*/usr/lib/rpm/
	rm -rf debian/install/*/etc/kernel/
	rm -f debian/install/*/usr/lib/sysctl.d/50-default.conf
	find debian/install/ -name '*.la' -delete
	# remove files related to factory-reset feature
	find debian/install/ \( -name 'systemd-update-done*' -o \
		-name systemd-journal-catalog-update.service -o \
		-name systemd-udev-hwdb-update.service -o \
		-name ldconfig.service -o \
		-name etc.conf \) -delete
	# remove .so for deprecated compatibility libraries
	rm -f debian/install/*/usr/lib/*/libsystemd-daemon.so
	rm -f debian/install/*/usr/lib/*/libsystemd-login.so
	rm -f debian/install/*/usr/lib/*/libsystemd-id128.so
	rm -f debian/install/*/usr/lib/*/libsystemd-journal.so
	# remove symlinks enabling default-on services
	rm -rf debian/install/*/etc/systemd/system/*.target.wants/
	dh_install -pudev-udeb -plibudev1-udeb --sourcedir=debian/install/udeb
	dh_install $(BOOTSTRAP_DH_FLAGS) -Nudev-udeb -Nlibudev1-udeb --sourcedir=debian/install/deb --fail-missing
	# install some files manually, --sourcedir makes that necessary
	# udev-udeb
	install -D --mode=755 debian/extra/udev.startup \
		debian/udev-udeb/lib/debian-installer/start-udev
	install -D --mode=755 debian/extra/udev.base-installer \
		debian/udev-udeb/usr/lib/base-installer.d/05udev
	mkdir -p debian/udev-udeb/lib/udev/rules.d/
	install -D --mode=644 \
		debian/extra/rules/73-idrac.rules \
		debian/extra/rules/75-persistent-net-generator.rules \
		debian/udev-udeb/lib/udev/rules.d/
	mkdir -p debian/udev-udeb/lib/udev
	install -D --mode=644 \
		debian/extra/hotplug.functions \
		debian/extra/rule_generator.functions \
		debian/udev-udeb/lib/udev/
	install -D --mode=755 \
		debian/extra/write_net_rules \
		debian/udev-udeb/lib/udev/
	# udev: initramfs-tools support
	install -D --mode=755 debian/extra/initramfs.hook \
		debian/udev/usr/share/initramfs-tools/hooks/udev
	install -D --mode=755 debian/extra/initramfs.top \
		debian/udev/usr/share/initramfs-tools/scripts/init-top/udev
	install -D --mode=755 debian/extra/initramfs.bottom \
		debian/udev/usr/share/initramfs-tools/scripts/init-bottom/udev
	# udev: debian specific rules and helpers
	install -D --mode=644 debian/extra/rules/* \
		debian/udev/lib/udev/rules.d/
	install -D --mode=644 debian/extra/fbdev-blacklist.conf \
		debian/udev/etc/modprobe.d/fbdev-blacklist.conf
	install -D --mode=644 \
		debian/extra/hotplug.functions \
		debian/extra/rule_generator.functions \
		debian/udev/lib/udev/
	install -D --mode=755 \
		debian/extra/dsl-modem.agent \
		debian/extra/logger.agent \
		debian/extra/net.agent \
		debian/extra/udev-finish \
		debian/extra/write_net_rules \
		debian/udev/lib/udev/
	# systemd
	cp -a debian/pam-configs debian/libpam-systemd/usr/share/
	install -D --mode=644 debian/init-functions.d/40-systemd \
		debian/systemd/lib/lsb/init-functions.d/40-systemd
	install --mode=644 debian/tmpfiles.d/debian.conf \
		debian/systemd/usr/lib/tmpfiles.d/
	install --mode=644 debian/debian-fixup.service debian/ifup@.service debian/extra/getty-static.service \
		debian/systemd/lib/systemd/system/
	install -D --mode=644 debian/extra/network-pre.conf \
		debian/systemd/lib/systemd/system/networking.service.d/network-pre.conf
	install --mode=644 debian/extra/udev-finish.service \
		debian/udev/lib/systemd/system/
	ln -s ../udev-finish.service debian/udev/lib/systemd/system/sysinit.target.wants/
	install --mode=755 debian/debian-fixup \
		debian/systemd/lib/systemd/
	# Make sure the runlevel services are known by systemd so their targets
	# get launches. See https://bugzilla.redhat.com/show_bug.cgi?id=1002806
	for t in poweroff rescue multi-user graphical reboot; do \
		mkdir -p debian/systemd/lib/systemd/system/$${t}.target.wants;\
		ln -s ../systemd-update-utmp-runlevel.service \
			debian/systemd/lib/systemd/system/$${t}.target.wants ;\
	done
	# man files for example code in /usr/share/doc
	mkdir -p debian/systemd/usr/share/man/man3/
	mv debian/libsystemd-dev/usr/share/man/man3/sd-readahead.3 \
		debian/libsystemd-dev/usr/share/man/man3/sd_readahead.3 \
		debian/systemd/usr/share/man/man3/
	install --mode=755 debian/systemd-logind-launch \
		debian/systemd/lib/systemd/
	# remove duplicates
	# files shipped by systemd-sysv / sysvinit
	rm debian/systemd/usr/share/man/man1/init.1
	rm debian/systemd/usr/share/man/man8/halt.8
	rm debian/systemd/usr/share/man/man8/poweroff.8
	rm debian/systemd/usr/share/man/man8/reboot.8
	rm debian/systemd/usr/share/man/man8/shutdown.8
	rm debian/systemd/usr/share/man/man8/telinit.8
	rm debian/systemd/usr/share/man/man8/runlevel.8
	# files shipped by libpam-systemd

=== debian/tests/control ===
Tests: timedated hostnamed localed-locale localed-x11-keymap logind
Depends: systemd, libpam-systemd, acl
Restrictions: needs-root, isolation-machine

Tests: unit-config
Depends: systemd, python3
Restrictions: needs-root, allow-stderr

Tests: build-login
Depends: libsystemd-login-dev, build-essential, pkg-config

Tests: python3
Depends: python3-systemd

Tests: boot-and-services
Depends: lightdm, cron, network-manager, busybox-static
Restrictions: needs-root, isolation-machine, needs-recommends, breaks-testbed

Tests: display-managers
Depends: systemd, lightdm
Restrictions: needs-root, isolation-machine, needs-recommends, breaks-testbed

## systemd 215+12+betsy

=== debian/changelog ===
systemd (215+12+betsy) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/udev.README.Debian: Trim the parts which are obsolete, wrong, or
    described in manpages. Only keep the Debian specific bits.
    (Part of #776546)
  * Actually install udev's README.Debian when building for Debian.
    (Closes: #776546)
  * Only start logind if dbus is installed. This fixes the noisy startup
    failure in environments without dbus such as LXC containers or servers.
    (part of #772700)
  * Add getty-static.service unit which starts getty@.service on tty 2 to 6 if
    dbus is not installed, and hence logind cannot auto-start them on demand.
    (Closes: #772700)
  * Add unit-config autopkgtest to check systemd unit/sysv init enabling and
    disabling via systemctl. This avoids bugs like #777613 (did not affect
    unstable).
  * cgroup: Don't trim cgroup trees created by someone else, just the ones
    that systemd itself created. This avoids cleaning up empty cgroups from
    e.g. LXC. (Closes: #777601)
  * boot-and-services autopkgtest: Add CgroupsTest to check cgroup
    creation/cleanup behaviour. This reproduces #777601 and verifies the fix
    for it.
  * rules: Fix by-path of mmc RPMB partitions and don't blkid them. Avoids
    kernel buffer I/O errors and timeouts. (LP: #1333140)
  * Document systemctl --failed option. (Closes: #767267)

  [ Michael Biebl ]
  * core: Don't fail to run services in --user instances if $HOME is missing.
    (Closes: #759320)

  [ Didier Roche ]
  * default-display-manager-generator: Avoid unnecessary /dev/null symlink and
    warning if there is no display-manager.service unit.

 -- Martin Pitt <mpitt@debian.org>  Fri, 13 Feb 2015 12:08:31 +0100

systemd (215-11) unstable; urgency=medium

  [ Martin Pitt ]
  * escape-beef-up-new-systemd-escape-tool.patch: Avoid creating a dangling
    symlink, to work around regression in recent patch (see #776257).
  * Order ifup@.service and networking.service after network-pre.target.
    (Closes: #766938)
  * Tone down "Network interface NamePolicy= disabled on kernel commandline,
    ignoring" info message to debug, as we expect this while we disable
    net.ifnames by default. (Closes: #762101, LP: #1411992)
  * logind: handle closing sessions over daemon restarts. (Closes: #759515,
    LP: #1415104)
  * logind: Fix sd_eviocrevoke ioctl call, to make forced input device release
    after log out actually work.
  * debian/patches/series: Move upstreamed patches into the appropriate
    section.

  [ Michael Biebl ]
  * Make sure we run debian-fixup.service after /var has been mounted if /var
    is on a separate partition. Otherwise we might end up creating the
    /var/lock and /var/run symlink in the underlying root filesystem.
    (Closes: #768644)

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Jan 2015 09:01:54 +0100

systemd (215-10) unstable; urgency=medium

  [ Martin Pitt ]
  * sysv-generator: Handle .sh suffixes when translating Provides:.
    (Closes: #775889)
  * sysv-generator: Make real units overwrite symlinks generated by Provides:
    from other units. Fixes failures due to presence of backup or old init.d
    scripts. (Closes: #775404)
  * Fix journal forwarding to syslog in containers without CAP_SYS_ADMIN.
    (Closes: #775067)

  [ Christian Kastner ]
  * Use common-session-noninteractive in systemd-user's PAM config, instead of
    common-session. The latter can include PAM modules like libpam-mount which
    expect to be called just once and/or interactively, which already happens
    for login, ssh, or the display-manager. Add pam_systemd.so explicitly, as
    it's not included in -noninteractive, but is always required (and
    idempotent). There is no net change on systemd which don't use manually
    installed PAM modules. (Closes: #739676)

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Jan 2015 13:18:05 +0100

systemd (215-9) unstable; urgency=medium

  [ Didier Roche ]
  * Add display managers autopkgtests.
  * Reset display-manager symlink to match /e/X/d-d-m even if
    display-manager.service was removed. Adapt the autopkgtests for it.

  [ Martin Pitt ]
  * Prefer-etc-X11-default-display-manager-if-present.patch: Drop wrong
    copy&paste'd comment, fix log strings. Thanks Adam D. Barratt.
  * Log all members of cyclic dependencies (loops) even with quiet on the
    kernel cmdline. (Closes: #770504)
  * Don't auto-clean PrivateTmp dir in /var/tmp; in Debian we don't want to
    clean /var/tmp/ automatically. (Closes: #773313)

  [ Michael Biebl ]
  * sysv-generator: handle Provides: for non-virtual facility names.
    (Closes: #774335)
  * Fix systemd-remount-fs.service to not fail on remounting /usr if /usr
    isn't mounted yet. This happens with initramfs-tools < 0.118 which we
    might not get into Jessie any more. (Closes: #742048)

 -- Martin Pitt <mpitt@debian.org>  Tue, 13 Jan 2015 11:24:43 +0100

systemd (215-8) unstable; urgency=medium

  [ Didier Roche ]
  * Cherry-pick shared-add-readlink_value.patch, we will use that function in
    the generator.
  * Cherry-pick util-allow-strappenda-to-take-any-number-of-args.patch, we
    will use that function in the generator.
  * Handle multiple display managers which don't ship a systemd unit or the
    corresponding postinst logic for updating display-manager.service: Add a
    generator to ensure /etc/X11/default-display-manager is controlling which
    display-manager is started. (Closes: #771287)

  [ Sjoerd Simons ]
  * d/p/core-Fix-bind-error-message.patch:
    + Added. Fix error message on bind failure to print the full path
  * d/p/core-Make-binding-notify-private-dbus-socket-more-ro.patch:
    + Added. Be more robust when binding private unix sockets (Based on current
    upstream logic) (Closes: #761306)

  [ Martin Pitt ]
  * Clean up ...journal~ files from unclean shutdowns. (Closes: #771707)
  * debian/systemd.postinst: Don't always restart journald, as this currently
